Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Shell

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Shell

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO

# NAME

CPANPLUS::Shell - base class for CPANPLUS shells

# SYNOPSIS

        use CPANPLUS::Shell;             # load the shell indicated by your                                     # config -- defaults to                                     # CPANPLUS::Shell::Default    use CPANPLUS::Shell qw[Classic]  # load CPANPLUS::Shell::Classic;    my $ui      = CPANPLUS::Shell->new();    my $name    = $ui->which;        # Find out what shell you loaded    $ui->shell;                      # run the ui shell

# DESCRIPTION

This module is the generic loading (and base class) for all `CPANPLUS` shells. Through this module you can load any installed `CPANPLUS` shell.

Just about all the functionality is provided by the shell that you have loaded, and not by this class (which merely functions as a generic loading class), so please consult the documentation of your shell of choice.

# BUG REPORTS

Please report bugs or other issues to <bug-cpanplus@rt.cpan.org<gt>.

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# COPYRIGHT

The CPAN++ interface (of which this module is a part of) is copyright (c) 2001 - 2007, Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

# SEE ALSO

CPANPLUS::Shell::Default, CPANPLUS::Shell::Classic, cpanp

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- BUG REPORTS
- AUTHOR
- COPYRIGHT
- SEE ALSO